> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List topics

List all topics, optionally filtered by organization and environment.

` GET /topics `

List topics

List all topics, optionally filtered by organization and environment.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` org_id ` (query, optional)

Filter by organization ID

- ` value `: type ` string ` — Filter by organization ID

### ` env_id ` (query, optional)

Filter by environment ID

- ` value `: type ` string ` — Filter by environment ID

## Responses

### ` 200 ` — Topics list

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` topics `

  - ` topics `: type ` array `

    - ` array item `: type ` object `; nullable

      - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` slug `, ` description `, ` schema `, ` status `, ` created_at `, ` updated_at `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` name `: type ` string `

      - ` slug `: type ` string `

      - ` description `: type ` string `; nullable

      - ` schema `: type ` string `; nullable

      - ` status `: type ` string `

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/topics' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/topics', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/topics', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/topics", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```